Skip to main content
Topic: Error in 1.4b8 (Read 568 times) previous topic - next topic
0 Members and 1 Guest are viewing this topic.

Error in 1.4b8

Hi

I have an error with 1.4.b8 i thought about writing but i think the video will be better, my OS is win10pro 1709 build: 16299.248
Url to video i valid for 30 days
https://ufile.io/pig35

Thx for help
Pawel

Re: Error in 1.4b8

Reply #1
Your foobar2000 install is missing the new "runtime" directory with Universal CRT files. It's required now as the exe loads it from the subdirectory. This was done to get cleaner program directory.

Re: Error in 1.4b8

Reply #2
ufile.io/pig35

Oink.
“It sounded bad to me. Digital. They have digital. What is digital? And it’s very complicated, you have to be Albert Einstein to figure it out.”
- Donald Trump, May 2017


Re: Error in 1.4b8

Reply #4
... the new "runtime" directory with Universal CRT files. ... the exe loads it from the subdirectory. This was done to get cleaner program directory.
Does that also mean that the file "msvcp140.dll" in the foobar2000 program directory can be removed?
In theory, there is no difference between theory and practice. In practice there is.

Re: Error in 1.4b8

Reply #5
Does that also mean that the file "msvcp140.dll" in the foobar2000 program directory can be removed?
There are currently two Visual C runtime files there, the one you mentioned and "vcruntime140.dll". I tested putting these to the runtime directory too but the program fails to start with that change.

In the earlier 1.4 betas no runtime files were extracted on non-portable install if the system already had a valid system-wide installation present. Now with the manifest change that forces having the UCRT bundled I felt it's unnecessary to do any checks for these two files. They don't take much space and don't litter the directory horribly. Removing them causes no harm as long as the system has the appropriate runtime installed.

 

Re: Error in 1.4b8

Reply #6
I don't keep "msvcp140.dll" and "vcruntime140.dll" in f2k directory - have them installed with vc++ packages.
Like "Case" said.
I removed them becouse i like things minimalistic :)

 
SimplePortal 1.0.0 RC1 © 2008-2018